module ThinkificRuby
  class ApiError < StandardError
    attr_reader :status_code
    attr_reader :response

    DEFAULT_MSG = "There was an error with your API request. Check the status code and response_body for details."

    # we'll still give it an optional error message, but leave it as the default which will tell them to check the status and body in the error object
    def initialize(status_code, response, msg=DEFAULT_MSG)
      @status_code = status_code
      @response = response

      super(msg)
    end
  end
end
